{% extends "include/base.html" %}

{% block title %} Accueil {% endblock %} 

{% block body_class %}{% endblock %}

<!-- Specific Page CSS goes HERE  -->
{% block stylesheets %}{% endblock stylesheets %}

{% block content %}

<div class="page-wrapper">
  <!-- Bandeau -->
  <div class="container-xl">
    <div class="page-header d-print-none">
      <div class="row align-items-center">
        <!-- Page title -->
        <div class="col">
          <div class="page-pretitle">
            Monitor
          </div>
          <h2 class="page-title">
            Ajouter une compétence
          </h2>
        </div><!-- end title col -->
      </div>
    </div>
  </div><!-- end bandeau -->

  <div class="page-body">
    <div class="container-xl">
      <div class="row row-deck row-cards">
        <div class="col-9">
          <div class="card">
            <div class="card-header">
              <h3 class="card-title">
                Nouvelle compétence
              </h3>
            </div><!-- end card header -->
            <div class="card-body">
                <form action="" method="post">
                  {% csrf_token %}
                  {% for field in form %} 
                  <div class="form-groub mb-3 row">
                      <label class="form-label col-2 col-form-label"> {{ field.label_tag }}</label>
                    <div class="col">
                      {% if field.help_text %}
                      <small class="form-hint">{{ field.help_text|safe }}</small>
                      {% endif %}
                      
                      {% if field.label == "Modules" %}

                      {% for checkbox in field %}
                      <label for="{{ radio.id_for_label }}" class="form-check">
                        {{ radio }}
                      </label>
                      {% endfor %}

                      {% elif field.label == "Difficulty" %} 
                      {% for radio in field %}
                      <label class="form-check form-check-inline">
                        {{ radio }}
                      </label>
                      {% endfor %}

                      {% else %}
                      {{ field }}
                      {% endif %}
                    </div>
                    <small class="form-hint">{{ field.errors }}</small>
                  </div>
                  {% endfor %}
                  <input type="submit" value="Submit"></input>
                </form>
            </div><!-- end card body -->
          </div><!-- end card -->
      </div><!-- end 1st row
    </div>
  </div><!-- end page body -->
</div><!-- end page-wrapper  -->
{% endblock content%}
